APIReferenceMessages
Complete a task
Marks an assisted LinkedIn, phone, or letter task as done.
Marks an assisted LinkedIn, phone, or letter task as done.
Authorization
bearerAuth AuthorizationBearer <token>
A Supabase Auth user access token for the signed-in SignalDock user, sent as Authorization: Bearer <token>. Paste one from a signed-in session, or obtain one through the oauth2 scheme; the API accepts either.
In: header
Path Parameters
messageId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/messages/497f6eca-6276-4993-bfeb-53cbbbba6f08/complete" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6", "enrollment_id": "cd8e6b59-f5cf-4894-8850-4dc2dc1aaf8e", "thread_id": "1de43264-67cb-48af-89f9-e865c375bb84", "contact_id": "f245e2a3-e141-4d41-912c-b1c1f5bd5598", "step_id": "5cb19d54-1551-4ee7-a292-ee3ee4dcef77", "mailbox_id": "4d23d1af-2eef-4598-a5e0-1f19ae0b0c14", "direction": "outbound", "channel": "email", "status": "pending_approval", "subject": "string", "body": "string", "original_body": "string", "from_address": "string", "to_address": "string", "why": { "signal": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "url": "string" }, "facts": [ { "claim": "string", "sourceUrl": "string" } ], "scoreReasons": [ "string" ], "compliance": { "country": "string", "locale": "nl-NL", "rule": "string", "requirements": [ "art14_notice" ] }, "reviewReasons": [ "review_mode" ], "risks": [ "string" ], "reply": { "inboundMessageId": "d3acd16f-9d28-4071-89cc-5fd257f12cda", "intent": "string", "summary": "string" }, "offeredSlots": [ { "start": "2019-08-24T14:15:22Z", "end": "2019-08-24T14:15:22Z" } ], "triage": { "summary": "string", "referral": { "name": "string", "email": "string" } } }, "intent": "string", "confidence": 0, "model": "string", "prompt_version": "string", "approved_by": "02030314-b162-4b4d-8af1-88eabdcc615d", "approved_at": "2019-08-24T14:15:22Z", "scheduled_for": "2019-08-24T14:15:22Z", "sent_at": "2019-08-24T14:15:22Z", "received_at": "2019-08-24T14:15:22Z", "error": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "contact_name": "string", "company_name": "string", "campaign_id": "78614b6c-fe7c-41e2-8e25-c9b3a3c91904", "campaign_name": "string", "step_position": 0, "thread_status": "open"}